﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Windows.Automation;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.DragDrop;
using Telerik.Windows.Controls.TreeView;
using Telerik.Windows.DragDrop;
using System.Windows.Controls;

namespace TreeViewTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            CreateDummyData();
            DataContext = this;
        }


        // Public properties

        public ObservableCollection<ViewModelBase> Items { get; private set; }


        // Private methdods

        private void CreateDummyData()
        {
            Items = new ObservableCollection<ViewModelBase>();

            // level 0
            var i1 = new Item { DisplayName = "Item 1" };
            Items.Add(i1);

            var i2 = new Item { DisplayName = "Item 2" };
            Items.Add(i2);

            var c1 = new Container { DisplayName = "Container 1" };
            Items.Add(c1);

            var c2 = new Container { DisplayName = "Container 2" };
            Items.Add(c2);

            var i8 = new Item { DisplayName = "Item 8" };
            Items.Add(i8);

            var c3 = new Container { DisplayName = "Container 3" };
            Items.Add(c3);

            var i11 = new Item { DisplayName = "Item 11" };
            Items.Add(i11);


            // Level 1.0
            var c1S1 = new Container { DisplayName = "Subcontainer 1" };
            c1.Children.Add(c1S1);

            var c1S2 = new Container { DisplayName = "Subcontainer 2" };
            c1.Children.Add(c1S2);

            var i3 = new Item { DisplayName = "Item 3" };
            c1.Children.Add(i3);

            var i4 = new Item { DisplayName = "Item 4" };
            c1.Children.Add(i4);

            var i12 = new Item { DisplayName = "Item 12" };
            c1.Children.Add(i12);


            // Level 1.0.0
            var c1S1S1 = new Container { DisplayName = "Subsubcontainer 1" };
            c1S1.Children.Add(c1S1S1);

            var i5 = new Item { DisplayName = "Item 5" };
            c1S1.Children.Add(i5);

            var i6 = new Item { DisplayName = "Item 6" };
            c1S1.Children.Add(i6);

            var i7 = new Item { DisplayName = "Item 7" };
            c1S1S1.Children.Add(i7);


            // Level 1.0.1

            var i15 = new Item { DisplayName = "Item 15" };
            c1S2.Children.Add(i15);

            var i16 = new Item { DisplayName = "Item 16" };
            c1S2.Children.Add(i16);

            var i17 = new Item { DisplayName = "Item 17" };
            c1S2.Children.Add(i17);

            // Level 1.0.0.0

            var i13 = new Item { DisplayName = "Item 13" };
            c1S1S1.Children.Add(i13);

            var i14 = new Item { DisplayName = "Item 14" };
            c1S1S1.Children.Add(i14);


            // Level 3.0

            var i9 = new Item { DisplayName = "Item 9" };
            c3.Children.Add(i9);

            var i10 = new Item { DisplayName = "Item 10" };
            c3.Children.Add(i10);
        }
    }
}